Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.jmx.export.assembler
Interface MBeanInfoAssembler

All Known Subinterfaces:
  AutodetectCapableMBeanInfoAssembler

All Known Implementing Classes:
  AbstractConfigurableMBeanInfoAssembler, AbstractMBeanInfoAssembler, AbstractReflectiveMBeanInfoAssembler, InterfaceBasedMBeanInfoAssembler, MetadataMBeanInfoAssembler, MethodExclusionMBeanInfoAssembler, MethodNameBasedMBeanInfoAssembler, SimpleReflectiveMBeanInfoAssembler

    public interface MBeanInfoAssembler

Interface to be implemented by all classes that can create management interface metadata for a managed resource.

Used by the `MBeanExporter` to generate the management interface for any bean that is not an MBean.

Since:
  1.2
Author:
  Rob Harrop, Juergen Hoeller
See Also:
  `MBeanExporter`

Method Summary
`ModelMBeanInfo` | `getMBeanInfo(Object managedBean, String beanKey)` Create the ModelMBeanInfo for the given managed resource.

Method Detail

### getMBeanInfo

    ModelMBeanInfo getMBeanInfo(Object managedBean,
                                String beanKey)
                                throws JMException

  Create the ModelMBeanInfo for the given managed resource.

  Parameters:
    `managedBean` - the bean that will be exposed (might be an AOP proxy)
    `beanKey` - the key associated with the managed bean
  Returns:
    the ModelMBeanInfo metadata object
  Throws:
    `JMException` - in case of errors

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD